org.apache.cassandra.cql3

## Class ColumnCondition

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition

-     public class ColumnCondition
      extends java.lang.Object

  A CQL3 condition on the value of a column or collection element. For example, "UPDATE .. IF a = 0".

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColumnCondition.Bound`
    `static class` | `ColumnCondition.CollectionInBound`
    `static class` | `ColumnCondition.Raw`
    `static class` | `ColumnCondition.UDTInBound` An IN condition on an entire UDT.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnDefinition` | `column`
    `Operator` | `operator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunctionsTo(java.util.List<Function> functions)`
    `ColumnCondition.Bound` | `bind(QueryOptions options)`
    `void` | `collectMarkerSpecification(VariableSpecifications boundNames)` Collects the column specification for the bind variables of this operation.
    `static ColumnCondition` | `condition(ColumnDefinition column, FieldIdentifier udtField, Term value, Operator op)`
    `static ColumnCondition` | `condition(ColumnDefinition column, Term value, Operator op)`
    `static ColumnCondition` | `condition(ColumnDefinition column, Term collectionElement, Term value, Operator op)`
    `static ColumnCondition` | `inCondition(ColumnDefinition column, FieldIdentifier udtField, java.util.List<Term> inValues)`
    `static ColumnCondition` | `inCondition(ColumnDefinition column, FieldIdentifier udtField, Term inMarker)`
    `static ColumnCondition` | `inCondition(ColumnDefinition column, java.util.List<Term> inValues)`
    `static ColumnCondition` | `inCondition(ColumnDefinition column, Term inMarker)`
    `static ColumnCondition` | `inCondition(ColumnDefinition column, Term collectionElement, java.util.List<Term> inValues)`
    `static ColumnCondition` | `inCondition(ColumnDefinition column, Term collectionElement, Term inMarker)`
    `Term` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### column

          public final ColumnDefinition column

    - #### operator

          public final Operator operator

  - ### Method Detail

    - #### value

          public Term value()

    - #### condition

          public static ColumnCondition condition(ColumnDefinition column,
                                                  Term value,
                                                  Operator op)

    - #### condition

          public static ColumnCondition condition(ColumnDefinition column,
                                                  Term collectionElement,
                                                  Term value,
                                                  Operator op)

    - #### condition

          public static ColumnCondition condition(ColumnDefinition column,
                                                  FieldIdentifier udtField,
                                                  Term value,
                                                  Operator op)

    - #### inCondition

          public static ColumnCondition inCondition(ColumnDefinition column,
                                                    java.util.List<Term> inValues)

    - #### inCondition

          public static ColumnCondition inCondition(ColumnDefinition column,
                                                    Term collectionElement,
                                                    java.util.List<Term> inValues)

    - #### inCondition

          public static ColumnCondition inCondition(ColumnDefinition column,
                                                    FieldIdentifier udtField,
                                                    java.util.List<Term> inValues)

    - #### inCondition

          public static ColumnCondition inCondition(ColumnDefinition column,
                                                    Term inMarker)

    - #### inCondition

          public static ColumnCondition inCondition(ColumnDefinition column,
                                                    Term collectionElement,
                                                    Term inMarker)

    - #### inCondition

          public static ColumnCondition inCondition(ColumnDefinition column,
                                                    FieldIdentifier udtField,
                                                    Term inMarker)

    - #### addFunctionsTo

          public void addFunctionsTo(java.util.List<Function> functions)

    - #### collectMarkerSpecification

          public void collectMarkerSpecification(VariableSpecifications boundNames)

      Collects the column specification for the bind variables of this operation.
      Parameters:
        `boundNames` - the list of column specification where to collect the bind variables of this term in.

    - #### bind

          public ColumnCondition.Bound bind(QueryOptions options)
                                     throws InvalidRequestException

      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation